# describeFeatureType

<mark style="color:green;">`GET`</mark> `https://api.os.uk/features/v1/wfs?service=wfs&version=2.0.0&request=DescribeFeatureType&typeName={typeName}&key=`

Returns a description of the attributes for each feature type supported by the WFS service.

**Required parameters**

| Name       | Value                                                                                                                                                                       |
| ---------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `key`      | The API Key provided by the OS Data Hub                                                                                                                                     |
| `request`  | `DescribeFeatureType`                                                                                                                                                       |
| `service`  | `WFS`                                                                                                                                                                       |
| `version`  | `2.0.0`, `1.1.0`, `1.0.0`                                                                                                                                                   |
| `typeName` | Any of the feature type names listed in the [what-data-is-available](https://docs.os.uk/os-apis/accessing-os-apis/os-features-api/what-data-is-available "mention") section |

**Example Response**

{% tabs %}
{% tab title="200" %}

<pre class="language-xml" data-full-width="false"><code class="lang-xml">&#x3C;xsd:schema xmlns:osfeatures="http://www.ordnancesurvey.co.uk/osfeatures/1.0" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:gml="http://www.opengis.net/gml/3.2" targetNamespace="http://www.ordnancesurvey.co.uk/osfeatures/1.0" elementFormDefault="qualified" attributeFormDefault="unqualified">
<strong>    &#x3C;xsd:import namespace="http://www.opengis.net/gml/3.2" schemaLocation="http://schemas.opengis.net/gml/3.2.1/gml.xsd"/>
</strong>    &#x3C;xsd:element name="OpenUPRN_Address" type="osfeatures:OpenUPRN_AddressFeatureType" substitutionGroup="gml:AbstractFeature"/>
    &#x3C;xsd:complexType name="OpenUPRN_AddressFeatureType">
        &#x3C;xsd:complexContent>
            &#x3C;xsd:extension base="gml:AbstractFeatureType">
                &#x3C;xsd:sequence>
                    &#x3C;xsd:element minOccurs="0" maxOccurs="1" name="OBJECTID" type="xsd:int"/>
                    &#x3C;xsd:element minOccurs="0" maxOccurs="1" name="SHAPE" nillable="true" type="gml:PointPropertyType"/>
                    &#x3C;xsd:element minOccurs="0" maxOccurs="1" name="UPRN" nillable="true" type="xsd:double"/>
                    &#x3C;xsd:element minOccurs="0" maxOccurs="1" name="XCoordinate" nillable="true" type="xsd:double"/>
                    &#x3C;xsd:element minOccurs="0" maxOccurs="1" name="YCoordinate" nillable="true" type="xsd:double"/>
                    &#x3C;xsd:element minOccurs="0" maxOccurs="1" name="Latitude" nillable="true" type="xsd:double"/>
                    &#x3C;xsd:element minOccurs="0" maxOccurs="1" name="Longitude" nillable="true" type="xsd:double"/>
                &#x3C;/xsd:sequence>
            &#x3C;/xsd:extension>
<strong>        &#x3C;/xsd:complexContent>
</strong>    &#x3C;/xsd:complexType>
&#x3C;/xsd:schema>
</code></pre>

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.os.uk/os-apis/accessing-os-apis/os-features-api/technical-specification/describefeaturetype.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
